"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Text = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/** Text displays words and characters of various sizes.
 */
const Text = _ref => {
  let {
    style = {},
    type = 'p',
    children = '',
    ...rest
  } = _ref;
  const defaultStyle = {
    h1: {
      fontSize: 48
    },
    h2: {
      fontSize: 40
    },
    h3: {
      fontSize: 32
    },
    h4: {
      fontSize: 24
    },
    h5: {
      fontSize: 16
    },
    p: {
      fontSize: 12
    }
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({
    accessibilityRole: "text",
    style: _reactNative.StyleSheet.flatten([defaultStyle[type], style])
  }, rest), children);
};

exports.Text = Text;
Text.displayName = 'Text';
//# sourceMappingURL=Text.js.map