function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { TouchableOpacity } from 'react-native';
import { Text } from '../Text';
import constants from '../../constants';

/** Text displays words and characters of various sizes.*/
export const Button = _ref => {
  let {
    style = {},
    type = 'default',
    children = '',
    text = '',
    onPress = () => null,
    textStyle = {
      color: 'white',
      fontWeight: 'bold'
    },
    textType = 'p',
    ...rest
  } = _ref;
  const defaultStyle = {
    default: {
      padding: 10,
      backgroundColor: constants.PRIMARY,
      borderRadius: 4,
      alignItems: 'center',
      justifyContent: 'center'
    },
    success: {
      padding: 10,
      backgroundColor: constants.SUCCESS,
      borderRadius: 4,
      alignItems: 'center',
      justifyContent: 'center'
    },
    info: {
      padding: 10,
      backgroundColor: constants.INFO,
      borderRadius: 4,
      alignItems: 'center',
      justifyContent: 'center'
    },
    error: {
      padding: 10,
      backgroundColor: constants.ERROR,
      borderRadius: 4,
      alignItems: 'center',
      justifyContent: 'center'
    },
    warning: {
      padding: 10,
      backgroundColor: constants.WARNING,
      borderRadius: 4,
      alignItems: 'center',
      justifyContent: 'center'
    }
  };

  if (text) {
    return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({}, rest, {
      onPress: () => onPress(),
      style: [defaultStyle[type], style]
    }), /*#__PURE__*/React.createElement(Text, {
      style: [textStyle],
      type: textType
    }, text));
  }

  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({}, rest, {
    onPress: () => onPress(),
    style: [defaultStyle[type], style]
  }), children);
};
Button.displayName = 'Button';
//# sourceMappingURL=Button.js.map