import React from 'react';
import { TextStyle, StyleProp, ViewStyle } from 'react-native';
export interface ButtonProps {
    /**  Add additional styling for Button. */
    style?: StyleProp<ViewStyle>;
    /** Type of Button. */
    type?: 'default' | 'success' | 'info' | 'warning' | 'error';
    /** Text of Button */
    text?: string;
    /** OnPress action of Button */
    onPress?: Function;
    /** Text Style of Button */
    textStyle?: TextStyle;
    /** Text font size type */
    textType?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5';
}
/** Text displays words and characters of various sizes.*/
export declare const Button: React.FunctionComponent<ButtonProps>;
